Page MenuHomePhabricator

Cleanup `font` properties and let section edit link `.mw-editsection` use sans-serif font
Closed, ResolvedPublic

Description

  • The CSS font properties need to be unified and if possible their values being put in variables.
  • When using the font shorthand property, it should include all possible property values like font-weight and line-height
  • The section edit link .mw-editsection should be sans-serif font, instead of inheriting serif font from headline rules.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
ResolvedVolker_E

Event Timeline

Volker_E claimed this task.
Volker_E raised the priority of this task from to Low.
Volker_E updated the task description. (Show Details)
Volker_E added a project: Blueprint.
Volker_E added subscribers: violetto, Prtksxna.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 11:00 AM

@violetto, did we consider removing this altogether at some point?

“Edit source | Edit” is scattered on every single topic to subtopics. Amount of links is overwhelming. What other ways can we make sure “Edit source | Edit” can be easily available without the need to include these links on every topic to subtopics.

@Prtksxna IMHO this doesn't belong to task improve ToC.

We could (for mouse-pointer only clients) enable edit source visibility on :hover. But that might have unforeseeable UX implications.

Yeah thinking about removing them, but I can't predict that there will be absolutely no "edit" links within the page. While there is one, should be sans-serif.

Volker_E moved this task from Backlog to Next Up on the Blueprint board.Jul 28 2015, 8:43 PM

@violetto there's two sans-serif rules currently used, one is font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; for body text and then there's also font-family: 'Helvetica', 'Arial', sans-serif; for h3, h4 and p. What's your preference?

This one: font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;

Volker_E moved this task from Next Up to In Development on the Blueprint board.Jul 28 2015, 10:14 PM

@violetto @Prtksxna What do you think, should we try the :hover opacity change for the edit links on .mw-body-content?

What would you say that we're trying to do with the :hover opacity change?

What do you think, should we try the :hover opacity change for the edit links on .mw-body-content?

These aren't discoverable people who don't use the mouse much, and so I don't personally like them. I don't mind making it so, for other objective reasons.

Change 227592 had a related patch set uploaded (by VolkerE):
Unify font-family, edit links fonts and clean-up font related properties

https://gerrit.wikimedia.org/r/227592

Volker_E renamed this task from Section edit link `.mw-editsection` should be sans-serif font to Cleanup `font` properties and let section edit link `.mw-editsection` use sans-serif font .Oct 20 2015, 11:26 PM
Volker_E updated the task description. (Show Details)
Volker_E set Security to None.
Volker_E removed a project: Patch-For-Review.
Volker_E closed this task as Resolved.Oct 23 2015, 12:57 AM